#ifndef ENGINEERROR_H
#define ENGINEERROR_H
/**
 * EngineError.h: a simple exception-class
 *
 * (c) 2007 Thomas Unterthiner
 *
 */


#include <stdexcept>
#include <string>

namespace blurt
{

class EngineError : public std::runtime_error
{
	public:
		EngineError();
		EngineError(const std::string& description);
		EngineError(const std::string& description, const std::string& details);
		std::string getDetails();

		~EngineError() throw() {}
	private:
		std::string details;
};

};



#endif
