/**
 * IntersectionData.cpp
 *
 * (c) 2007, 2008 Thomas Unterthiner
 *
 */


#include "IntersectionData.h"
#include "TraceableObject.h"
#include "Ray.h"

using namespace blurt;

blurt::IntersectionData::IntersectionData()
	: hitObject(0),
	  distance(std::numeric_limits<float>::max())
{
}

void blurt::IntersectionData::setHit(const TraceableObject* obj, float dist)
{
	hitObject = obj;
	distance = dist;
}

