#ifndef COMMON_INCLUDES_H
#define COMMON_INCLUDES_H


/**
 * common_includes.h:
 *	precompiled header for the most common stuff :)
 *
 * (c) 2007 Thomas Unterthiner
 *
 */

// Std-Lib
#include <string>
#include <iosfwd>
#include <iostream>
#include <fstream>
#include <stdexcept>
#include <vector>
#include <cmath>
#include <ctime>

// boost
#include <boost/scoped_ptr.hpp>
#include <boost/scoped_array.hpp>
#include <boost/program_options/options_description.hpp>
#include <boost/program_options/variables_map.hpp>
#include <boost/program_options/parsers.hpp>
#include <boost/program_options/errors.hpp>
#include <boost/ptr_container/ptr_vector.hpp>
#include <boost/foreach.hpp>
#define foreach BOOST_FOREACH

// other
#include <omp.h>

// program-specifig
#include "util/Vector3D.h"
#include "defaultsettings.h"



#endif
