/**
 * EngineError.cpp
 *
 * (c) 2007 Thomas Unterthiner
 *
 */

#include "EngineError.h"

using namespace std;

namespace blurt
{

EngineError::EngineError()
	: std::runtime_error("")
{}


EngineError::EngineError(const string& description)
	: std::runtime_error(description)
{
}

EngineError::EngineError(const std::string& desc, const std::string& details_)
	: std::runtime_error(desc), details(details_)
{
}

string EngineError::getDetails()
{
	return details;
}

};
