#ifndef NOSPATIALSUBDIVISION_H
#define NOSPATIALSUBDIVISION_H

namespace blurt
{

class Scene;
class Ray;
class IntersectionData;
class RayPacket;

class NoSpatialSubdivision
{
	public:
		NoSpatialSubdivision(Scene& s) : scene(s) {}

		void build() {}
		void optimizeScene() {}

		void traceRay(const Ray& ray, IntersectionData* id) const;
		void traceRayPacket(RayPacket* rayPacket) const;
		bool isFirstIntersection(const Ray& ray, float distance) const;

	private:
		Scene& scene;
};

};


#endif // NOSPATIALSUBDIVISION_H
