#ifndef SSE_HELPER_H
#define SSE_HELPER_H

/**
 * sse_helper.h: functions to help the use SSE intrinsics
 *
 * (c) 2007, 2008 Thomas Unterthiner
 *
 */


#include "sse/VectorSSE.h"
#include "sse/VectorArraySSE.h"

namespace util
{
	namespace sse
	{
		extern const VectorSSE ZERO_VEC;
		extern const VectorSSE MINUS_ONE_VEC;
		extern const VectorSSE HALF_VEC;
		extern const VectorSSE THREE_VEC;
	}
}


#endif // VECTORSSE_H
